// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.common;

public final class WorldCoordinates implements java.lang.Cloneable
{
    public double x;

    public double
    getX()
    {
        return x;
    }

    public void
    setX(double _x)
    {
        x = _x;
    }

    public double y;

    public double
    getY()
    {
        return y;
    }

    public void
    setY(double _y)
    {
        y = _y;
    }

    public double z;

    public double
    getZ()
    {
        return z;
    }

    public void
    setZ(double _z)
    {
        z = _z;
    }

    public double a;

    public double
    getA()
    {
        return a;
    }

    public void
    setA(double _a)
    {
        a = _a;
    }

    public double b;

    public double
    getB()
    {
        return b;
    }

    public void
    setB(double _b)
    {
        b = _b;
    }

    public double c;

    public double
    getC()
    {
        return c;
    }

    public void
    setC(double _c)
    {
        c = _c;
    }

    public WorldCoordinates()
    {
    }

    public WorldCoordinates(double x, double y, double z, double a, double b, double c)
    {
        this.x = x;
        this.y = y;
        this.z = z;
        this.a = a;
        this.b = b;
        this.c = c;
    }

    public boolean
    equals(java.lang.Object rhs)
    {
        if(this == rhs)
        {
            return true;
        }
        WorldCoordinates _r = null;
        try
        {
            _r = (WorldCoordinates)rhs;
        }
        catch(ClassCastException ex)
        {
        }

        if(_r != null)
        {
            if(x != _r.x)
            {
                return false;
            }
            if(y != _r.y)
            {
                return false;
            }
            if(z != _r.z)
            {
                return false;
            }
            if(a != _r.a)
            {
                return false;
            }
            if(b != _r.b)
            {
                return false;
            }
            if(c != _r.c)
            {
                return false;
            }

            return true;
        }

        return false;
    }

    public int
    hashCode()
    {
        int __h = 0;
        __h = 5 * __h + (int)java.lang.Double.doubleToLongBits(x);
        __h = 5 * __h + (int)java.lang.Double.doubleToLongBits(y);
        __h = 5 * __h + (int)java.lang.Double.doubleToLongBits(z);
        __h = 5 * __h + (int)java.lang.Double.doubleToLongBits(a);
        __h = 5 * __h + (int)java.lang.Double.doubleToLongBits(b);
        __h = 5 * __h + (int)java.lang.Double.doubleToLongBits(c);
        return __h;
    }

    public java.lang.Object
    clone()
    {
        java.lang.Object o = null;
        try
        {
            o = super.clone();
        }
        catch(CloneNotSupportedException ex)
        {
            assert false; // impossible
        }
        return o;
    }

    public void
    __write(IceInternal.BasicStream __os)
    {
        __os.writeDouble(x);
        __os.writeDouble(y);
        __os.writeDouble(z);
        __os.writeDouble(a);
        __os.writeDouble(b);
        __os.writeDouble(c);
    }

    public void
    __read(IceInternal.BasicStream __is)
    {
        x = __is.readDouble();
        y = __is.readDouble();
        z = __is.readDouble();
        a = __is.readDouble();
        b = __is.readDouble();
        c = __is.readDouble();
    }
}
