// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.output;

public interface _BodyOperations
{
    void close(Hand h, Ice.Current __current)
        throws OperationFailure;

    double getGripperWidth(Hand h, Ice.Current __current);

    void give(Hand h, Ice.Current __current)
        throws OperationFailure;

    void insert(Hand h, Ice.Current __current)
        throws OperationFailure;

    boolean isReachable(Hand h, jast.common.TableCoordinates coords, Ice.Current __current);

    void moveaway(Ice.Current __current)
        throws OperationFailure;

    void open(Hand h, Ice.Current __current)
        throws OperationFailure;

    void pickUp(Hand h, jast.common.TableCoordinates coords, Ice.Current __current)
        throws OperationFailure;

    void point(Hand h, jast.common.TableCoordinates coords, Ice.Current __current)
        throws OperationFailure;

    void pointAtWorld(Hand h, jast.common.WorldCoordinates coords, Ice.Current __current)
        throws OperationFailure;

    void putDown(Hand h, jast.common.TableCoordinates coords, Ice.Current __current)
        throws OperationFailure;

    void screw(Hand h, Ice.Current __current)
        throws OperationFailure;

    void show(Hand h, Ice.Current __current)
        throws OperationFailure;

    void stop(Ice.Current __current);

    void take(Hand h, Ice.Current __current)
        throws OperationFailure;
}
