// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.output;

public interface _BodyOperationsNC
{
    void close(Hand h)
        throws OperationFailure;

    double getGripperWidth(Hand h);

    void give(Hand h)
        throws OperationFailure;

    void insert(Hand h)
        throws OperationFailure;

    boolean isReachable(Hand h, jast.common.TableCoordinates coords);

    void moveaway()
        throws OperationFailure;

    void open(Hand h)
        throws OperationFailure;

    void pickUp(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure;

    void point(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure;

    void pointAtWorld(Hand h, jast.common.WorldCoordinates coords)
        throws OperationFailure;

    void putDown(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure;

    void screw(Hand h)
        throws OperationFailure;

    void show(Hand h)
        throws OperationFailure;

    void stop();

    void take(Hand h)
        throws OperationFailure;
}
