package sheet02;

import jast.config.GRIDNAME;
import jast.output.BodyPrx;
import jast.output.BodyPrxHelper;
import jast.output.OperationFailure;
import jast.output._BodyDisp;
import jast.output.Hand;
import jast.common.TableCoordinates;

import Ice.Application;
import Ice.LocalException;
import IceGrid.QueryPrx;
import IceGrid.QueryPrxHelper;

public class RobotClient extends Application {

	private BodyPrx bodyPrx;

	private final TableCoordinates pickUpLocation = new TableCoordinates(
			-0.248387, 0.0848238, 1.5708);
	private final TableCoordinates putDownLocation = new TableCoordinates(
			0.201529, 0.0364782, 0);

	/**
	 * Starts the whole thing...
	 */
	public static void main(String[] args) {
		RobotClient app = new RobotClient();
		int result = app.main("RobotClient", args);
		System.exit(result);

	/**
	 * Here's the action.
	 */
	public int run(String[] arg0) {
		// get link to robot
		String iceGridName = communicator().getProperties().getProperty(
				GRIDNAME.value);
		QueryPrx query = QueryPrxHelper.checkedCast(communicator()
				.stringToProxy(iceGridName + "/Query"));
		try {
			bodyPrx = BodyPrxHelper.checkedCast(query
					.findObjectByType(_BodyDisp.ice_staticId()));
		} catch (LocalException e) {
			System.err.println("Unable to connect to robot.");
			e.printStackTrace();
			return 1;
		}

		// solution
		/*
		 * CODE HERE
		 */

		return 0;
	}

}
