// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.output;

public interface BodyPrx extends Ice.ObjectPrx
{
    public void close(Hand h)
        throws OperationFailure;
    public void close(Hand h, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void close_async(AMI_Body_close __cb, Hand h);
    public void close_async(AMI_Body_close __cb, Hand h, java.util.Map<String, String> __ctx);

    public double getGripperWidth(Hand h);
    public double getGripperWidth(Hand h, java.util.Map<String, String> __ctx);

    public void give(Hand h)
        throws OperationFailure;
    public void give(Hand h, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void give_async(AMI_Body_give __cb, Hand h);
    public void give_async(AMI_Body_give __cb, Hand h, java.util.Map<String, String> __ctx);

    public void insert(Hand h)
        throws OperationFailure;
    public void insert(Hand h, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void insert_async(AMI_Body_insert __cb, Hand h);
    public void insert_async(AMI_Body_insert __cb, Hand h, java.util.Map<String, String> __ctx);

    public boolean isReachable(Hand h, jast.common.TableCoordinates coords);
    public boolean isReachable(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx);

    public void moveaway()
        throws OperationFailure;
    public void moveaway(java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void moveaway_async(AMI_Body_moveaway __cb);
    public void moveaway_async(AMI_Body_moveaway __cb, java.util.Map<String, String> __ctx);

    public void open(Hand h)
        throws OperationFailure;
    public void open(Hand h, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void open_async(AMI_Body_open __cb, Hand h);
    public void open_async(AMI_Body_open __cb, Hand h, java.util.Map<String, String> __ctx);

    public void pickUp(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure;
    public void pickUp(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void pickUp_async(AMI_Body_pickUp __cb, Hand h, jast.common.TableCoordinates coords);
    public void pickUp_async(AMI_Body_pickUp __cb, Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx);

    public void point(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure;
    public void point(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void point_async(AMI_Body_point __cb, Hand h, jast.common.TableCoordinates coords);
    public void point_async(AMI_Body_point __cb, Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx);

    public void pointAtWorld(Hand h, jast.common.WorldCoordinates coords)
        throws OperationFailure;
    public void pointAtWorld(Hand h, jast.common.WorldCoordinates coords, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void pointAtWorld_async(AMI_Body_pointAtWorld __cb, Hand h, jast.common.WorldCoordinates coords);
    public void pointAtWorld_async(AMI_Body_pointAtWorld __cb, Hand h, jast.common.WorldCoordinates coords, java.util.Map<String, String> __ctx);

    public void putDown(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure;
    public void putDown(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void putDown_async(AMI_Body_putDown __cb, Hand h, jast.common.TableCoordinates coords);
    public void putDown_async(AMI_Body_putDown __cb, Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx);

    public void screw(Hand h)
        throws OperationFailure;
    public void screw(Hand h, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void screw_async(AMI_Body_screw __cb, Hand h);
    public void screw_async(AMI_Body_screw __cb, Hand h, java.util.Map<String, String> __ctx);

    public void show(Hand h)
        throws OperationFailure;
    public void show(Hand h, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void show_async(AMI_Body_show __cb, Hand h);
    public void show_async(AMI_Body_show __cb, Hand h, java.util.Map<String, String> __ctx);

    public void stop();
    public void stop(java.util.Map<String, String> __ctx);

    public void take(Hand h)
        throws OperationFailure;
    public void take(Hand h, java.util.Map<String, String> __ctx)
        throws OperationFailure;

    public void take_async(AMI_Body_take __cb, Hand h);
    public void take_async(AMI_Body_take __cb, Hand h, java.util.Map<String, String> __ctx);
}
