// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.output;

public class CoordsOutOfReach extends OperationFailure
{
    public CoordsOutOfReach()
    {
        super();
    }

    public CoordsOutOfReach(String details, jast.common.TableCoordinates coords)
    {
        super(details);
        this.coords = coords;
    }

    public String
    ice_name()
    {
        return "jast::output::CoordsOutOfReach";
    }

    public jast.common.TableCoordinates coords;

    public void
    __write(IceInternal.BasicStream __os)
    {
        __os.writeString("::jast::output::CoordsOutOfReach");
        __os.startWriteSlice();
        coords.__write(__os);
        __os.endWriteSlice();
        super.__write(__os);
    }

    public void
    __read(IceInternal.BasicStream __is, boolean __rid)
    {
        if(__rid)
        {
            __is.readString();
        }
        __is.startReadSlice();
        coords = new jast.common.TableCoordinates();
        coords.__read(__is);
        __is.endReadSlice();
        super.__read(__is, true);
    }

    public void
    __write(Ice.OutputStream __outS)
    {
        Ice.MarshalException ex = new Ice.MarshalException();
        ex.reason = "exception jast::output::CoordsOutOfReach was not generated with stream support";
        throw ex;
    }

    public void
    __read(Ice.InputStream __inS, boolean __rid)
    {
        Ice.MarshalException ex = new Ice.MarshalException();
        ex.reason = "exception jast::output::CoordsOutOfReach was not generated with stream support";
        throw ex;
    }
}
