// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.output;

public class OperationFailure extends Ice.UserException
{
    public OperationFailure()
    {
    }

    public OperationFailure(String details)
    {
        this.details = details;
    }

    public String
    ice_name()
    {
        return "jast::output::OperationFailure";
    }

    public String details;

    public void
    __write(IceInternal.BasicStream __os)
    {
        __os.writeString("::jast::output::OperationFailure");
        __os.startWriteSlice();
        __os.writeString(details);
        __os.endWriteSlice();
    }

    public void
    __read(IceInternal.BasicStream __is, boolean __rid)
    {
        if(__rid)
        {
            __is.readString();
        }
        __is.startReadSlice();
        details = __is.readString();
        __is.endReadSlice();
    }

    public void
    __write(Ice.OutputStream __outS)
    {
        Ice.MarshalException ex = new Ice.MarshalException();
        ex.reason = "exception jast::output::OperationFailure was not generated with stream support";
        throw ex;
    }

    public void
    __read(Ice.InputStream __inS, boolean __rid)
    {
        Ice.MarshalException ex = new Ice.MarshalException();
        ex.reason = "exception jast::output::OperationFailure was not generated with stream support";
        throw ex;
    }
}
