// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.output;

public interface _BodyDel extends Ice._ObjectDel
{
    void close(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    double getGripperWidth(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper;

    void give(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void insert(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    boolean isReachable(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper;

    void moveaway(java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void open(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void pickUp(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void point(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void pointAtWorld(Hand h, jast.common.WorldCoordinates coords, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void putDown(Hand h, jast.common.TableCoordinates coords, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void screw(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void show(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;

    void stop(java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper;

    void take(Hand h, java.util.Map<String, String> __ctx)
        throws IceInternal.LocalExceptionWrapper,
               OperationFailure;
}
