// **********************************************************************
//
// Copyright (c) 2003-2007 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.2.1

package jast.output;

public abstract class _BodyDisp extends Ice.ObjectImpl implements Body
{
    protected void
    ice_copyStateFrom(Ice.Object __obj)
        throws java.lang.CloneNotSupportedException
    {
        throw new java.lang.CloneNotSupportedException();
    }

    public static final String[] __ids =
    {
        "::Ice::Object",
        "::jast::output::Body"
    };

    public boolean
    ice_isA(String s)
    {
        return java.util.Arrays.binarySearch(__ids, s) >= 0;
    }

    public boolean
    ice_isA(String s, Ice.Current __current)
    {
        return java.util.Arrays.binarySearch(__ids, s) >= 0;
    }

    public String[]
    ice_ids()
    {
        return __ids;
    }

    public String[]
    ice_ids(Ice.Current __current)
    {
        return __ids;
    }

    public String
    ice_id()
    {
        return __ids[1];
    }

    public String
    ice_id(Ice.Current __current)
    {
        return __ids[1];
    }

    public static String
    ice_staticId()
    {
        return __ids[1];
    }

    public final void
    close(Hand h)
        throws OperationFailure
    {
        close(h, null);
    }

    public final double
    getGripperWidth(Hand h)
    {
        return getGripperWidth(h, null);
    }

    public final void
    give(Hand h)
        throws OperationFailure
    {
        give(h, null);
    }

    public final void
    insert(Hand h)
        throws OperationFailure
    {
        insert(h, null);
    }

    public final boolean
    isReachable(Hand h, jast.common.TableCoordinates coords)
    {
        return isReachable(h, coords, null);
    }

    public final void
    moveaway()
        throws OperationFailure
    {
        moveaway(null);
    }

    public final void
    open(Hand h)
        throws OperationFailure
    {
        open(h, null);
    }

    public final void
    pickUp(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure
    {
        pickUp(h, coords, null);
    }

    public final void
    point(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure
    {
        point(h, coords, null);
    }

    public final void
    pointAtWorld(Hand h, jast.common.WorldCoordinates coords)
        throws OperationFailure
    {
        pointAtWorld(h, coords, null);
    }

    public final void
    putDown(Hand h, jast.common.TableCoordinates coords)
        throws OperationFailure
    {
        putDown(h, coords, null);
    }

    public final void
    screw(Hand h)
        throws OperationFailure
    {
        screw(h, null);
    }

    public final void
    show(Hand h)
        throws OperationFailure
    {
        show(h, null);
    }

    public final void
    stop()
    {
        stop(null);
    }

    public final void
    take(Hand h)
        throws OperationFailure
    {
        take(h, null);
    }

    public static IceInternal.DispatchStatus
    ___close(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        try
        {
            __obj.close(h, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___getGripperWidth(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        double __ret = __obj.getGripperWidth(h, __current);
        __os.writeDouble(__ret);
        return IceInternal.DispatchStatus.DispatchOK;
    }

    public static IceInternal.DispatchStatus
    ___give(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        try
        {
            __obj.give(h, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___insert(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        try
        {
            __obj.insert(h, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___isReachable(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        jast.common.TableCoordinates coords;
        coords = new jast.common.TableCoordinates();
        coords.__read(__is);
        boolean __ret = __obj.isReachable(h, coords, __current);
        __os.writeBool(__ret);
        return IceInternal.DispatchStatus.DispatchOK;
    }

    public static IceInternal.DispatchStatus
    ___moveaway(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __os = __inS.os();
        try
        {
            __obj.moveaway(__current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___open(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        try
        {
            __obj.open(h, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___pickUp(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        jast.common.TableCoordinates coords;
        coords = new jast.common.TableCoordinates();
        coords.__read(__is);
        try
        {
            __obj.pickUp(h, coords, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___point(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        jast.common.TableCoordinates coords;
        coords = new jast.common.TableCoordinates();
        coords.__read(__is);
        try
        {
            __obj.point(h, coords, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___pointAtWorld(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        jast.common.WorldCoordinates coords;
        coords = new jast.common.WorldCoordinates();
        coords.__read(__is);
        try
        {
            __obj.pointAtWorld(h, coords, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___putDown(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        jast.common.TableCoordinates coords;
        coords = new jast.common.TableCoordinates();
        coords.__read(__is);
        try
        {
            __obj.putDown(h, coords, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___screw(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        try
        {
            __obj.screw(h, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___show(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        try
        {
            __obj.show(h, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    public static IceInternal.DispatchStatus
    ___stop(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        __obj.stop(__current);
        return IceInternal.DispatchStatus.DispatchOK;
    }

    public static IceInternal.DispatchStatus
    ___take(Body __obj, IceInternal.Incoming __inS, Ice.Current __current)
    {
        __checkMode(Ice.OperationMode.Normal, __current.mode);
        IceInternal.BasicStream __is = __inS.is();
        IceInternal.BasicStream __os = __inS.os();
        Hand h;
        h = Hand.__read(__is);
        try
        {
            __obj.take(h, __current);
            return IceInternal.DispatchStatus.DispatchOK;
        }
        catch(OperationFailure ex)
        {
            __os.writeUserException(ex);
            return IceInternal.DispatchStatus.DispatchUserException;
        }
    }

    private final static String[] __all =
    {
        "close",
        "getGripperWidth",
        "give",
        "ice_id",
        "ice_ids",
        "ice_isA",
        "ice_ping",
        "insert",
        "isReachable",
        "moveaway",
        "open",
        "pickUp",
        "point",
        "pointAtWorld",
        "putDown",
        "screw",
        "show",
        "stop",
        "take"
    };

    public IceInternal.DispatchStatus
    __dispatch(IceInternal.Incoming in, Ice.Current __current)
    {
        int pos = java.util.Arrays.binarySearch(__all, __current.operation);
        if(pos < 0)
        {
            return IceInternal.DispatchStatus.DispatchOperationNotExist;
        }

        switch(pos)
        {
            case 0:
            {
                return ___close(this, in, __current);
            }
            case 1:
            {
                return ___getGripperWidth(this, in, __current);
            }
            case 2:
            {
                return ___give(this, in, __current);
            }
            case 3:
            {
                return ___ice_id(this, in, __current);
            }
            case 4:
            {
                return ___ice_ids(this, in, __current);
            }
            case 5:
            {
                return ___ice_isA(this, in, __current);
            }
            case 6:
            {
                return ___ice_ping(this, in, __current);
            }
            case 7:
            {
                return ___insert(this, in, __current);
            }
            case 8:
            {
                return ___isReachable(this, in, __current);
            }
            case 9:
            {
                return ___moveaway(this, in, __current);
            }
            case 10:
            {
                return ___open(this, in, __current);
            }
            case 11:
            {
                return ___pickUp(this, in, __current);
            }
            case 12:
            {
                return ___point(this, in, __current);
            }
            case 13:
            {
                return ___pointAtWorld(this, in, __current);
            }
            case 14:
            {
                return ___putDown(this, in, __current);
            }
            case 15:
            {
                return ___screw(this, in, __current);
            }
            case 16:
            {
                return ___show(this, in, __current);
            }
            case 17:
            {
                return ___stop(this, in, __current);
            }
            case 18:
            {
                return ___take(this, in, __current);
            }
        }

        assert(false);
        return IceInternal.DispatchStatus.DispatchOperationNotExist;
    }

    public void
    __write(IceInternal.BasicStream __os)
    {
        __os.writeTypeId(ice_staticId());
        __os.startWriteSlice();
        __os.endWriteSlice();
        super.__write(__os);
    }

    public void
    __read(IceInternal.BasicStream __is, boolean __rid)
    {
        if(__rid)
        {
            __is.readTypeId();
        }
        __is.startReadSlice();
        __is.endReadSlice();
        super.__read(__is, true);
    }

    public void
    __write(Ice.OutputStream __outS)
    {
        Ice.MarshalException ex = new Ice.MarshalException();
        ex.reason = "type jast::output::Body was not generated with stream support";
        throw ex;
    }

    public void
    __read(Ice.InputStream __inS, boolean __rid)
    {
        Ice.MarshalException ex = new Ice.MarshalException();
        ex.reason = "type jast::output::Body was not generated with stream support";
        throw ex;
    }
}
